summaryrefslogtreecommitdiffstats
path: root/audio/vocoder-ladspa
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-12-16 16:44:16 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-16 16:44:35 +0100
commit23d96cf658fc06f8541664e2fc88d2baf7c03ba0 (patch)
tree5eb04cfc54447c51e22e8240c7f2518485e68bbf /audio/vocoder-ladspa
parent7d3cc5499bb1d8cddb2d7377b755bf36fe8aef0a (diff)
downloadslackbuilds-23d96cf658fc06f8541664e2fc88d2baf7c03ba0.tar.gz
slackbuilds-23d96cf658fc06f8541664e2fc88d2baf7c03ba0.tar.xz
audio/vocoder-ladspa: Added (LADSPA vocoder plugin).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'audio/vocoder-ladspa')
-rw-r--r--audio/vocoder-ladspa/README9
-rw-r--r--audio/vocoder-ladspa/slack-desc19
-rw-r--r--audio/vocoder-ladspa/vocoder-ladspa.SlackBuild79
-rw-r--r--audio/vocoder-ladspa/vocoder-ladspa.info10
4 files changed, 117 insertions, 0 deletions
diff --git a/audio/vocoder-ladspa/README b/audio/vocoder-ladspa/README
new file mode 100644
index 0000000000..097d873991
--- /dev/null
+++ b/audio/vocoder-ladspa/README
@@ -0,0 +1,9 @@
+vocoder-ladspa (LADSPA vocoder plugin)
+
+A vocoder is a sound effect that can make a human voice sound
+synthetic. It is often used to speak like a robot, with a metallic and
+monotonous voice.
+
+This build is intended for use with LADSPA-aware applications such as
+ardour or jack-rack. For a standalone version of this effect, see the
+vocoder build.
diff --git a/audio/vocoder-ladspa/slack-desc b/audio/vocoder-ladspa/slack-desc
new file mode 100644
index 0000000000..9a211c1ede
--- /dev/null
+++ b/audio/vocoder-ladspa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vocoder-ladspa: vocoder-ladspa (LADSPA vocoder plugin)
+vocoder-ladspa:
+vocoder-ladspa: A vocoder is a sound effect that can make a human voice sound
+vocoder-ladspa: synthetic. It is often used to speak like a robot, with a metallic
+vocoder-ladspa: and monotonous voice.
+vocoder-ladspa:
+vocoder-ladspa:
+vocoder-ladspa:
+vocoder-ladspa:
+vocoder-ladspa:
+vocoder-ladspa:
diff --git a/audio/vocoder-ladspa/vocoder-ladspa.SlackBuild b/audio/vocoder-ladspa/vocoder-ladspa.SlackBuild
new file mode 100644
index 0000000000..807e0883a7
--- /dev/null
+++ b/audio/vocoder-ladspa/vocoder-ladspa.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for vocoder-ladspa
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=vocoder-ladspa
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCDIR=${PRGNAM%-*}
+
+# Leave this undocumented. Anyone who cares about it, should be
+# reading SlackBuilds rather than just running them.
+FORCE_SLACK_CFLAGS=${FORCE_SLACK_CFLAGS:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $SRCDIR-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s/-Werror//" Makefile
+if [ "$FORCE_SLACK_CFLAGS" = "yes" ]; then
+ sed -i "s/-O3/$SLKCFLAGS/" Makefile
+fi
+
+make
+strip *.so
+make install INSTALL_PLUGINS_DIR=$PKG/usr/lib$LIBDIRSUFFIX/ladspa
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYRIGHT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/vocoder-ladspa/vocoder-ladspa.info b/audio/vocoder-ladspa/vocoder-ladspa.info
new file mode 100644
index 0000000000..40c6436a99
--- /dev/null
+++ b/audio/vocoder-ladspa/vocoder-ladspa.info
@@ -0,0 +1,10 @@
+PRGNAM="vocoder-ladspa"
+VERSION="0.3"
+HOMEPAGE="http://www.sirlab.de/linux/descr_vocoder.html"
+DOWNLOAD="http://www.sirlab.de/linux/download/vocoder-ladspa-0.3.tgz"
+DOWNLOAD_x86_64=""
+MD5SUM="f802cc54b0e55b6764bf0a1f59820c40"
+MD5SUM_x86_64=""
+REQUIRES="ladspa_sdk"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"